using System;
using Microsoft.Phone.Controls;

namespace PhoneApp2
{
    public partial class Page1 : PhoneApplicationPage
    {
        public Page1()
        {
            InitializeComponent();
        }

        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            string text = NavigationContext.QueryString["text"];
            Textbox.Text = text;

            base.OnNavigatedTo(e);
        }

        private void button1_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/Main", UriKind.Relative));
        }
    }
}